<?php
/*
 * Service section
 */
?>
	<section id="service" class="service-section">
		<div class="container">
			<div class="row">
				<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
					<div class="section-content">
						<?php
						$mp_profit_service_title        = esc_html( get_theme_mod( 'mp_profit_service_title' ) );
						$mp_profit_service_subtitle     = esc_html( get_theme_mod( 'mp_profit_service_subtitle' ) );
						$mp_profit_service_description  = esc_html( get_theme_mod( 'mp_profit_service_description' ) );
						$mp_profit_service_button_label = esc_html( get_theme_mod( 'mp_profit_service_button_label', __( 'Know More', 'profit-lite' ) ) );
						$mp_profit_service_button_url   = esc_url( get_theme_mod( 'mp_profit_service_button_url', '#service' ) );
						if ( get_theme_mod( 'mp_profit_service_title', false ) === false ) :
							?>
							<h2 class="section-title"><?php _e( 'Professional financial guidance', 'profit-lite' ); ?></h2>
							<?php
						else:
							if ( ! empty( $mp_profit_service_title ) ):
								?>
								<h2 class="section-title"><?php echo $mp_profit_service_title; ?></h2>
								<?php
							endif;
						endif;
						if ( get_theme_mod( 'mp_profit_service_subtitle', false ) === false ) :
							?>
							<div
								class="section-subtitle"><?php _e( 'Offering ideas that raise your business above the expected', 'profit-lite' ); ?></div>
							<?php
						else:
							if ( ! empty( $mp_profit_service_subtitle ) ):
								?>
								<div class="section-subtitle"><?php echo $mp_profit_service_subtitle; ?></div>
								<?php
							endif;
						endif;
						if ( get_theme_mod( 'mp_profit_service_description', false ) === false ) :
							?>
							<div
								class="section-description"><?php _e( 'Stay informed with all up to date market insights, trade ideas, financial researches and latest business news.', 'profit-lite' ); ?></div>
							<?php
						else:
							if ( ! empty( $mp_profit_service_description ) ):
								?>
								<div class="section-description"><?php echo $mp_profit_service_description; ?></div>
								<?php
							endif;
						endif;
						?>
						<div class="section-buttons">
							<?php
							if ( ! empty( $mp_profit_service_button_label ) && ! empty( $mp_profit_service_button_url ) ):
								?>
								<a href="<?php echo $mp_profit_service_button_url; ?>"
								   title="<?php echo $mp_profit_service_button_label; ?>"
								   class="button"><?php echo $mp_profit_service_button_label; ?></a>
								<?php
							endif;
							?>
						</div>
					</div>
				</div>
				<div class="section-right service-right"></div>
			</div>
		</div>
	</section>
<?php

